import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询工艺从表列表
export function listTechnologicalProcessDetail(query) {
  return request({
    url: baseUrl + '/base/technologicalProcessDetail/list',
    method: 'get',
    params: query
  })
}

// 查询工艺从表详细
export function getTechnologicalProcessDetail(id) {
  return request({
    url: baseUrl + '/base/technologicalProcessDetail/' + id,
    method: 'get'
  })
}

// 新增工艺从表
export function addTechnologicalProcessDetail(data) {
  return request({
    url: baseUrl + '/base/technologicalProcessDetail/save',
    method: 'post',
    data: data
  })
}

// 修改工艺从表
export function updateTechnologicalProcessDetail(data) {
  return request({
    url: baseUrl + '/base/technologicalProcessDetail',
    method: 'put',
    data: data
  })
}

// 删除工艺从表
export function delTechnologicalProcessDetail(id) {
  return request({
    url: baseUrl + '/base/technologicalProcessDetail/' + id,
    method: 'delete'
  })
}
